"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const index_1 = __importDefault(require("./index"));
(0, vitest_1.test)('init', () => {
    const init = new index_1.default({});
    (0, vitest_1.expect)(init.name).toBe("MemoryEnmap");
});
(0, vitest_1.test)('basic get and set', () => {
    const db = new index_1.default({});
    (0, vitest_1.expect)(db.set('test', 'blah')).toEqual({});
    (0, vitest_1.expect)(db.get('test')).toBe('blah');
    (0, vitest_1.expect)(db.get('nokey')).toBeNull();
});
(0, vitest_1.test)('getters', () => {
    const db = new index_1.default({});
    db.set('1', 1);
    db.set('2', 2);
    db.set('3', 3);
    db.set('4', 4);
    db.set('5', 5);
    (0, vitest_1.expect)(db.keys).toEqual(['1', '2', '3', '4', '5']);
    (0, vitest_1.expect)(db.values).toEqual([1, 2, 3, 4, 5]);
    (0, vitest_1.expect)(db.size).toBe(5);
});
(0, vitest_1.test)('loops', () => {
    const db = new index_1.default({});
    db.set('1', 1);
    db.set('2', 2);
    db.set('3', 3);
    db.set('4', 4);
    db.set('5', 5);
    (0, vitest_1.expect)(db.map(v => ++v)).toEqual([2, 3, 4, 5, 6]);
});
