import { assert, expect, test } from 'vitest'

import Enmap from './index'

test('init', () => {
  const init = new Enmap({})
  expect(init.name).toBe("MemoryEnmap")
})

test('basic get and set', () => {
  const db = new Enmap({})
  expect(db.set('test', 'blah')).toEqual({})
  expect(db.get('test')).toBe('blah')
  expect(db.get('nokey')).toBeNull()
  
})

test('getters', () => {
  const db = new Enmap({})
  db.set('1', 1)
  db.set('2', 2)
  db.set('3', 3)
  db.set('4', 4)
  db.set('5', 5)
  expect(db.keys).toEqual(['1', '2', '3', '4', '5'])
  expect(db.values).toEqual([1, 2, 3, 4, 5])
  expect(db.size).toBe(5)
})

test('loops', () => {
  const db = new Enmap({})
  db.set('1', 1)
  db.set('2', 2)
  db.set('3', 3)
  db.set('4', 4)
  db.set('5', 5)
  expect(db.map(v => ++v)).toEqual([2, 3, 4, 5, 6])
})

